Tech Gaming Report

Latest Tech & Gaming News

Security updates for older iOS and iPadOS

Security updates for older iOS and iPadOS

Apple has released an important security update for users whose iPhone or iPad is still running iOS 15 or iPadOS 15. The company recommends installing it as soon as possible, as there have been reports of attacks on at least one of the closed vulnerabilities.

The new version numbers are iOS 15.7.1 and iPadOS 15.7.1. apple flyer according to a total of 17 areas will be patched. One of the bugs in the kernel is an out-of-bounds write issue that Apple says has been actively exploited. Fixed via improved bounds checking; previously it was possible to execute arbitrary code with kernel privileges through an application. Unfortunately, Apple does not give any details about the attacks that took place.

The other fixes are also in the core, in the areas of audio, backup, FaceTime, graphics drivers, image processing, Safari, Webkit, zlib, ppp, model I/O, and WLAN. Ten of the bugs allow problematic code to run, much of it with kernel privileges. It is unknown if there are other exploits.

Apple is still keeping iOS 15 and iPadOS 15, at least in terms of security. This is useful because not all users want to use iOS 16 and iPadOS 16. Also, users of older hardware like to stick with older versions of the operating system. iOS 16 is still incompatible with iPhone 6S, 6S Plus, 7, 7 Plus, SE 1, and iPod touch 7G. However, it is annoying that Apple always takes its time updating older devices, in this case several days. This may pose a security issue.

Apple initially had issues with iOS 15.7.1 Release Candidate (RC), with users reporting Face ID errors after installation. This bug should now be fixed. Fixes included in iOS 15.7.1 and iPadOS 15.7.1 are also in iOS 16.1 and iPadOS 16.1, which were released earlier this week. Apple also recommends updating this quickly because a bug is being actively exploited.


More from Mac&i

More from Mac&i

More from Mac&i


(bc)

to the home page